godo.Video.Generations.Content()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Video.Generations.Content(ctx context.Context, id string) ([]byte, *godo.Response, error)

Description

Content downloads the generated MP4 bytes for a completed video.

This method sends a GET request to /v1/videos/{}/content.

Parameters

id string required

Returns

[]byte
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Video.Generations.Content(ctx, "<your-id>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See GET /v1/videos/{}/content in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.